Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Updating the API Version of the Plugin...

Comments in 'Plugin Development' started by Polaris, Sep 28, 2016.

  1. Polaris
    Offline

    Polaris New Member

    Joined:
    Sep 27, 2016
    Posts:
    3
    Minecraft User:
    Nonexistent
    I recently got my server successfully up and running, thanks to a hero that shall go unnamed for his/her privacy... Now I have another, well I wouldn't call it an issue exactly but something I want to fix. I got a few plugins for my LAN server, and I want to use them, but when I open the server, I get these error messages about these certain plugins having the wrong API version.

    I don't know a clue on how to update an API version of a plugin manually, but I would like to learn. Sadly, Google isn't really giving me clear tutorials, so I hope someone on here with experience can help.

    I want to use the KeepInventory plugin as an example.

    When I play Minecraft, I fear from straying far away from my home because I have a nice chance of dying and losing my hard earned loot. I want to prevent that from happening, so I got this plugin. Sadly, the API version for the plugin is 1.2.0, not 2.0.0. I have already converted the phar file into a zip folder.

    The root of the zip folder contains:
    src(folder)
    plugin.yml

    The src folder contains:
    KeepInventory(folder)

    The KeepInventory folder contains:
    Main.php

    What files do I need to mess/tinker with to update the code/api version? And what program(s)/website(s) should I use to do so?

    Thank you for reading, I just wanted to do my best to make my situation sound the simplest I can make it.
  2. CraftYourBukkit
    Offline

    CraftYourBukkit Notable Member Plugin Developer

    Joined:
    Jan 20, 2015
    Posts:
    1,022
    Plugins:
    2
    Minecraft User:
    CraftYourBukkit
    It's inside the plugin.yml.
  3. Polaris
    Offline

    Polaris New Member

    Joined:
    Sep 27, 2016
    Posts:
    3
    Minecraft User:
    Nonexistent
    What program do I use? Is that a Notepad++ type of file? What do I edit? Your answer is a little vague, no offense, sir.
    Legoboy0215 likes this.
  4. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    Yeah, NPP. YAML (.yml) files are plain-text.

Share This Page

Advertisement